Make plugin packages hard dependencies. (#15160)
* Make plugin packages hard dependencies. May (hopefully) be reverted eventually, but for now this should resolve most if not all, of the current problems with native packages. * Fix typo in Debian control file. * Fix package test script. * Fix dependency ordering for DEB plugin packages. * Fix CUPS RPM dependency. * Fix package test script again. * Fix RPM nfacct plugin deps. * Split out user and group handling for DEB packages. This is needed to make the plugin package dependencies work correctly. * Final fix for package test script. * Fix permissions handling for RPM package. * Fix typo in spec file. * Fix another typo in RPM spec file.
Austin S. Hemmelgarn committed
Jun 7, 2023 at 16:59 UTC
4d5a1945d4e613757dbbd2ecfa105856bf0af0d7
6 files changed
+174
-95
.github/scripts/pkg-test.sh
+5
-13
@@ -14,7 +14,7 @@ install_debian_like() {
14
15
# Install Netdata
16
# Strange quoting is required here so that glob matching works.
17
- apt-get install -y /netdata/artifacts/netdata_"${VERSION}"*_*.deb || exit 1
17
+ apt-get install -y $(find /netdata/artifacts -type f -name 'netdata*.deb' ! -name '*dbgsym*' ! -name '*cups*' ! -name '*freeipmi*') || exit 3
18
19
# Install testing tools
20
apt-get install -y --no-install-recommends curl "${netcat}" jq || exit 1
@@ -26,15 +26,13 @@ install_fedora_like() {
26
27
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
28
29
- pkg_version="$(echo "${VERSION}" | tr - .)"
30
-
29
if [ "${PKGMGR}" = "dnf" ]; then
30
opts="--allowerasing"
31
fi
32
33
# Install Netdata
34
# Strange quoting is required here so that glob matching works.
37
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
35
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
36
37
# Install testing tools
38
"$PKGMGR" install -y curl nc jq || exit 1
@@ -46,8 +44,6 @@ install_centos() {
44
45
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
46
49
- pkg_version="$(echo "${VERSION}" | tr - .)"
50
-
47
if [ "${PKGMGR}" = "dnf" ]; then
48
opts="--allowerasing"
49
fi
@@ -57,7 +53,7 @@ install_centos() {
53
54
# Install Netdata
55
# Strange quoting is required here so that glob matching works.
60
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
56
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
57
58
# Install testing tools
59
# shellcheck disable=SC2086
@@ -67,15 +63,13 @@ install_centos() {
63
install_amazon_linux() {
64
PKGMGR="$( (command -v dnf > /dev/null && echo "dnf") || echo "yum")"
65
70
- pkg_version="$(echo "${VERSION}" | tr - .)"
71
-
66
if [ "${PKGMGR}" = "dnf" ]; then
67
opts="--allowerasing"
68
fi
69
70
# Install Netdata
71
# Strange quoting is required here so that glob matching works.
78
- "$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
72
+ "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
73
74
# Install testing tools
75
# shellcheck disable=SC2086
@@ -86,11 +80,9 @@ install_suse_like() {
80
# Using a glob pattern here because I can't reliably determine what the
81
# resulting package name will be (TODO: There must be a better way!)
82
89
- pkg_version="$(echo "${VERSION}" | tr - .)"
90
-
83
# Install Netdata
84
# Strange quoting is required here so that glob matching works.
93
- zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata-"${pkg_version}"-*.rpm || exit 1
85
+ zypper install -y --allow-unsigned-rpm /netdata/artifacts/netdata*.rpm || exit 1
86
87
# Install testing tools
88
zypper install -y --no-recommends curl netcat-openbsd jq || exit 1
contrib/debian/control
+49
-41
@@ -32,27 +32,24 @@ Homepage: https://netdata.cloud
32
33
Package: netdata
34
Architecture: any
35
-Depends: adduser,
36
- libcap2-bin (>= 1:2.0),
37
- lsb-base (>= 3.1-23.2),
38
- openssl,
35
+Depends: openssl,
36
${misc:Depends},
40
- ${shlibs:Depends}
37
+ ${shlibs:Depends},
38
+ netdata-plugin-ebpf,
39
+ netdata-plugin-apps,
40
+ netdata-plugin-pythond,
41
+ netdata-plugin-go,
42
+ netdata-plugin-debugfs,
43
+ netdata-plugin-nfacct,
44
+ netdata-plugin-chartsd,
45
+ netdata-plugin-slabinfo,
46
+ netdata-plugin-perf
47
Conflicts: netdata-core,
48
netdata-plugins-bash,
49
netdata-plugins-python,
50
netdata-web
45
-Recommends: netdata-plugin-ebpf,
46
- netdata-plugin-apps,
47
- netdata-plugin-pythond,
48
- netdata-plugin-go,
49
- netdata-plugin-debugfs
51
Suggests: netdata-plugin-cups,
51
- netdata-plugin-freeipmi,
52
- netdata-plugin-nfacct,
53
- netdata-plugin-chartsd,
54
- netdata-plugin-slabinfo,
55
- netdata-plugin-perf
52
+ netdata-plugin-freeipmi
53
Pre-Depends: dpkg (>= 1.17.14)
54
Description: real-time charts for system monitoring
55
Netdata is a daemon that collects data in realtime (per second)
@@ -60,11 +57,21 @@ Description: real-time charts for system monitoring
57
is also real-time and full of interactive charts that precisely
58
render all collected values.
59
60
+Package: netdata-base
61
+Architecture: all
62
+Pre-Depends: adduser,
63
+ dpkg (>= 1.17.14),
64
+ libcap2-bin (>=1:2.0),
65
+ lsb-base (>= 3.1-23.2),
66
+ ${misc:Depends},
67
+Description: Base system configuration for Netdata packages
68
+ This package handles setup of users and groups for Netdata and it’s plugins.
69
+
70
Package: netdata-plugin-cups
71
Architecture: any
72
Depends: cups,
73
${shlibs:Depends},
67
- netdata (= ${source:Version})
74
+Pre-Depends: netdata-base (= ${source:Version})
75
Description: The CUPS metrics collection plugin for the Netdata Agent
76
This plugin allows the Netdata Agent to collect metrics from the Common
77
UNIX Printing System.
@@ -72,16 +79,16 @@ Description: The CUPS metrics collection plugin for the Netdata Agent
79
Package: netdata-plugin-freeipmi
80
Architecture: any
81
Depends: freeipmi,
75
- ${shlibs:Depends},
76
- netdata (= ${source:Version})
82
+ ${shlibs:Depends}
83
+Pre-Depends: netdata-base (= ${source:Version})
84
Description: The FreeIPMI metrics collection plugin for the Netdata Agent
85
This plugin allows the Netdata Agent to collect metrics from hardware
86
using FreeIPMI.
87
88
Package: netdata-plugin-nfacct
89
Architecture: any
83
-Depends: ${shlibs:Depends},
84
- netdata (= ${source:Version})
90
+Depends: ${shlibs:Depends}
91
+Pre-Depends: netdata-base (= ${source:Version})
92
Conflicts: netdata (<< ${source:Version})
93
Description: The NFACCT metrics collection plugin for the Netdata Agent
94
This plugin allows the Netdata Agent to collect metrics from the firewall
@@ -89,8 +96,8 @@ Description: The NFACCT metrics collection plugin for the Netdata Agent
96
97
Package: netdata-plugin-chartsd
98
Architecture: all
92
-Depends: bash,
93
- netdata (= ${source:Version})
99
+Depends: bash
100
+Pre-Depends: netdata-base (= ${source:Version})
101
Conflicts: netdata (<< ${source:Version})
102
Suggests: apcupsd, nut, iw, sudo
103
Description: The charts.d metrics collection plugin for the Netdata Agent
@@ -100,8 +107,8 @@ Description: The charts.d metrics collection plugin for the Netdata Agent
107
108
Package: netdata-plugin-ebpf
109
Architecture: amd64
103
-Depends: ${shlibs:Depends},
104
- netdata (= ${source:Version})
110
+Depends: ${shlibs:Depends}
111
+Pre-Depends: netdata-base (= ${source:Version})
112
Recommends: netdata-ebpf-code-legacy (= ${source:Version}),
113
netdata-plugin-apps (= ${source:Version})
114
Conflicts: netdata (<< ${source:Version})
@@ -111,6 +118,7 @@ Description: The eBPF metrics collection plugin for the Netdata Agent
118
119
Package: netdata-ebpf-code-legacy
120
Architecture: amd64
121
+Pre-Depends: netdata-base (= ${source:Version})
122
Depends: netdata-plugin-ebpf (= ${source:Version})
123
Conflicts: netdata (<< ${source:Version})
124
Description: Compiled eBPF legacy code for the Netdata eBPF plugin
@@ -121,8 +129,8 @@ Description: Compiled eBPF legacy code for the Netdata eBPF plugin
129
130
Package: netdata-plugin-pythond
131
Architecture: all
124
-Depends: ${shlibs:Depends},
125
- netdata (= ${source:Version})
132
+Depends: ${shlibs:Depends}
133
+Pre-Depends: netdata-base (= ${source:Version})
134
Suggests: sudo
135
Conflicts: netdata (<< ${source:Version})
136
Description: The python.d metrics collection plugin for the Netdata Agent
@@ -132,9 +140,9 @@ Description: The python.d metrics collection plugin for the Netdata Agent
140
141
Package: netdata-plugin-go
142
Architecture: any
135
-Depends: ${shlibs:Depends},
136
- libcap2-bin,
137
- netdata (= ${source:Version})
143
+Depends: ${shlibs:Depends}
144
+Pre-Depends: libcap2-bin,
145
+ netdata-base (= ${source:Version})
146
Suggests: nvme-cli, sudo
147
Conflicts: netdata (<< ${source:Version})
148
Description: The go.d metrics collection plugin for the Netdata Agent
@@ -145,9 +153,9 @@ Description: The go.d metrics collection plugin for the Netdata Agent
153
154
Package: netdata-plugin-apps
155
Architecture: any
148
-Depends: ${shlibs:Depends},
149
- libcap2-bin,
150
- netdata (= ${source:Version})
156
+Depends: ${shlibs:Depends}
157
+Pre-Depends: libcap2-bin,
158
+ netdata-base (= ${source:Version})
159
Conflicts: netdata (<< ${source:Version})
160
Description: The per-application metrics collection plugin for the Netdata Agent
161
This plugin allows the Netdata Agent to collect per-application and
@@ -155,9 +163,9 @@ Description: The per-application metrics collection plugin for the Netdata Agent
163
164
Package: netdata-plugin-slabinfo
165
Architecture: any
158
-Depends: ${shlibs:Depends},
159
- libcap2-bin,
160
- netdata (= ${source:Version})
166
+Depends: ${shlibs:Depends}
167
+Pre-Depends: libcap2-bin,
168
+ netdata-base (= ${source:Version})
169
Conflicts: netdata (<< ${source:Version})
170
Description: The slabinfo metrics collector for the Netdata Agent
171
This plugin allows the Netdata Agent to collect perfromance and
@@ -165,9 +173,9 @@ Description: The slabinfo metrics collector for the Netdata Agent
173
174
Package: netdata-plugin-perf
175
Architecture: any
168
-Depends: ${shlibs:Depends},
169
- libcap2-bin,
170
- netdata (= ${source:Version})
176
+Depends: ${shlibs:Depends}
177
+Pre-Depends: libcap2-bin,
178
+ netdata-base (= ${source:Version})
179
Conflicts: netdata (<< ${source:Version})
180
Description: The perf metrics collector for the Netdata Agent
181
This plugin allows the Netdata to collect metrics from the Linux perf
@@ -175,9 +183,9 @@ Description: The perf metrics collector for the Netdata Agent
183
184
Package: netdata-plugin-debugfs
185
Architecture: any
178
-Depends: ${shlibs:Debends},
179
- libcap2-bin,
180
- netdata (= ${source:Version})
186
+Depends: ${shlibs:Debends}
187
+Pre-Depends: libcap2-bin,
188
+ netdata-base (= ${source:Version})
189
Conflicts: netdata (<< ${source:Version})
190
Description: The debugfs metrics collector for the Netdata Agent
191
This plugin allows the Netdata Agent to collect Linux kernel metrics
contrib/debian/netdata-base.postinst
new
+30
@@ -0,0 +1,30 @@
1
+#!/bin/sh
2
+
3
+set -e
4
+
5
+case "$1" in
6
+ configure|reconfigure)
7
+ if ! getent group netdata > /dev/null; then
8
+ addgroup --quiet --system netdata
9
+ fi
10
+
11
+ if ! getent passwd netdata > /dev/null; then
12
+ adduser --quiet --system --ingroup netdata --home /var/lib/netdata --no-create-home netdata
13
+ fi
14
+
15
+ for item in docker nginx varnish haproxy adm nsd proxy squid ceph nobody I2C; do
16
+ if getent group $item > /dev/null 2>&1; then
17
+ usermod -a -G $item netdata
18
+ fi
19
+ done
20
+ # Netdata must be able to read /etc/pve/qemu-server/* and /etc/pve/lxc/*
21
+ # for reading VMs/containers names, CPU and memory limits on Proxmox.
22
+ if [ -d "/etc/pve" ] && getent group "www-data" > /dev/null 2>&1; then
23
+ usermod -a -G www-data netdata
24
+ fi
25
+ ;;
26
+esac
27
+
28
+##DEBHELPER##
29
+
30
+exit 0
contrib/debian/netdata.postinst
-19
@@ -17,25 +17,6 @@ dpkg-maintscript-helper dir_to_symlink \
17
18
case "$1" in
19
configure|reconfigure)
20
- if ! getent group netdata > /dev/null; then
21
- addgroup --quiet --system netdata
22
- fi
23
-
24
- if ! getent passwd netdata > /dev/null; then
25
- adduser --quiet --system --ingroup netdata --home /var/lib/netdata --no-create-home netdata
26
- fi
27
-
28
- for item in docker nginx varnish haproxy adm nsd proxy squid ceph nobody I2C; do
29
- if getent group $item > /dev/null 2>&1; then
30
- usermod -a -G $item netdata
31
- fi
32
- done
33
- # Netdata must be able to read /etc/pve/qemu-server/* and /etc/pve/lxc/*
34
- # for reading VMs/containers names, CPU and memory limits on Proxmox.
35
- if [ -d "/etc/pve" ] && getent group "www-data" > /dev/null 2>&1; then
36
- usermod -a -G www-data netdata
37
- fi
38
-
20
if ! dpkg-statoverride --list /var/lib/netdata > /dev/null 2>&1; then
21
dpkg-statoverride --update --add netdata netdata 0755 /var/lib/netdata
22
fi
netdata.spec.in
+86
-18
@@ -11,7 +11,7 @@
11
AutoReqProv: yes
12
13
# This is temporary and should eventually be resolved. This bypasses
14
-# the default rhel __os_install_post which throws a python compile
14
+# the default rhel __os_install_p,ost which throws a python compile
15
# error.
16
%global __os_install_post %{nil}
17
@@ -147,25 +147,25 @@ Requires(pre): /usr/sbin/useradd
147
# to support weak dependencies. Explicitly requiring our default plugins
148
# makes it impossible to properly test the packages prior to upload,
149
# so we just skip depending on them on CentOS 7.
150
-%if 0%{?centos_ver} != 7
150
%if 0%{?_have_ebpf}
152
-Recommends: netdata-plugin-ebpf
151
+Requires: netdata-plugin-ebpf
152
%endif
154
-Recommends: netdata-plugin-apps
155
-Recommends: netdata-plugin-pythond
156
-Recommends: netdata-plugin-go
157
-Recommends: netdata-plugin-debugfs
153
+Requires: netdata-plugin-apps
154
+Requires: netdata-plugin-pythond
155
+Requires: netdata-plugin-go
156
+Requires: netdata-plugin-debugfs
157
%if 0%{?_have_freeipmi}
159
-Suggests: netdata-plugin-freeipmi
158
+Requires: netdata-plugin-freeipmi
159
%endif
160
%if 0%{?_have_nfacct}
162
-Suggests: netdata-plugin-nfacct
161
+Requires: netdata-plugin-nfacct
162
%endif
164
-Suggests: netdata-plugin-cups
165
-Suggests: netdata-plugin-chartsd
166
-Suggests: netdata-plugin-slabinfo
167
-Suggests: netdata-plugin-perf
163
+%if 0%{?centos_ver} != 6 && 0%{?centos_ver} != 7
164
+Requires: netdata-plugin-cups
165
%endif
166
+Requires: netdata-plugin-chartsd
167
+Requires: netdata-plugin-slabinfo
168
+Requires: netdata-plugin-perf
169
170
# #####################################################################
171
# Functionality-dependent package dependencies
@@ -593,6 +593,12 @@ Requires: netdata = %{version}
593
%description plugin-cups
594
This plugin allows the Netdata Agent to collect metrics from the Common UNIX Printing System.
595
596
+%pre plugin-cups
597
+
598
+if ! getent group netdata > /dev/null; then
599
+ groupadd --system netdata
600
+fi
601
+
602
%files plugin-cups
603
%attr(0750,root,netdata) %{_libexecdir}/%{name}/plugins.d/cups.plugin
604
%endif
@@ -607,6 +613,12 @@ Requires: netdata = %{version}
613
%description plugin-freeipmi
614
This plugin allows the Netdata Agent to collect metrics from hardware using FreeIPMI.
615
616
+%pre plugin-freeipmi
617
+
618
+if ! getent group netdata > /dev/null; then
619
+ groupadd --system netdata
620
+fi
621
+
622
%files plugin-freeipmi
623
%attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/freeipmi.plugin
624
%endif
@@ -615,16 +627,18 @@ Requires: netdata = %{version}
627
%package plugin-nfacct
628
Summary: The NFACCT metrics collection plugin for the Netdata Agent
629
Group: Applications/System
618
-Requires: libmnl
630
Requires: netdata = %{version}
631
Conflicts: netdata < %{version}
621
-%if 0%{?fedora} || 0%{?suse_version} >= 1140
622
-Requires: libnetfilter_acct
623
-%endif
632
633
%description plugin-nfacct
634
This plugin allows the Netdata Agent to collect metrics from the firewall using NFACCT objects.
635
636
+%pre plugin-nfacct
637
+
638
+if ! getent group netdata > /dev/null; then
639
+ groupadd --system netdata
640
+fi
641
+
642
%files plugin-nfacct
643
%attr(4750,root,netdata) %{_libexecdir}/%{name}/plugins.d/nfacct.plugin
644
%endif
@@ -646,6 +660,12 @@ Suggests: sudo
660
This plugin adds a selection of additional collectors written in shell script to the Netdata Agent.
661
It includes collectors for NUT, APCUPSD, LibreSWAN, OpenSIPS, and Wireless access point statistics.
662
663
+%pre plugin-chartsd
664
+
665
+if ! getent group netdata > /dev/null; then
666
+ groupadd --system netdata
667
+fi
668
+
669
%files plugin-chartsd
670
%defattr(0750,root,netdata,0750)
671
%{_libexecdir}/%{name}/plugins.d/charts.d.plugin
@@ -672,6 +692,12 @@ Requires: netdata-ebpf-legacy-code >= %{version}
692
%description plugin-ebpf
693
This plugin allows the Netdata Agent to use eBPF code to collect more detailed kernel-level metrics for the system.
694
695
+%pre plugin-ebpf
696
+
697
+if ! getent group netdata > /dev/null; then
698
+ groupadd --system netdata
699
+fi
700
+
701
%files plugin-ebpf
702
%defattr(4750,root,netdata,4750)
703
%{_libexecdir}/%{name}/plugins.d/ebpf.plugin
@@ -687,7 +713,13 @@ Conflicts: netdata < %{version}
713
714
%description ebpf-legacy-code
715
This package provides the pre-compiled eBPF legacy code for use by the Netdata eBPF plugin.
690
-This code is only needed when using the eBPF plugin with kernel versions before 5.10.
716
+ This code is only needed when using the eBPF plugin with kernel versions before 5.10.
717
+
718
+%pre ebpf-legacy-code
719
+
720
+if ! getent group netdata > /dev/null; then
721
+ groupadd --system netdata
722
+fi
723
724
%files ebpf-legacy-code
725
%defattr(0640,root,netdata,0640)
@@ -718,6 +750,12 @@ Suggests: sudo
750
Many of the collectors provided by this package are also available in netdata-plugin-go. In msot cases, you probably
751
want to use those versions instead of the Python versions.
752
753
+%pre plugin-pythond
754
+
755
+if ! getent group netdata > /dev/null; then
756
+ groupadd --system netdata
757
+fi
758
+
759
%files plugin-pythond
760
%defattr(0750,root,netdata,0750)
761
%{_libexecdir}/%{name}/plugins.d/python.d.plugin
@@ -741,6 +779,12 @@ Suggests: sudo
779
A significant percentage of the application specific collectors provided by Netdata are part of this plugin,
780
so most users will want it installed.
781
782
+%pre plugin-go
783
+
784
+if ! getent group netdata > /dev/null; then
785
+ groupadd --system netdata
786
+fi
787
+
788
%files plugin-go
789
%defattr(0750,root,netdata,0750)
790
# CAP_NET_ADMIN needed for WireGuard collector
@@ -759,6 +803,12 @@ Conflicts: netdata < %{version}
803
%description plugin-apps
804
This plugin allows the Netdata Agent to collect per-application and per-user metrics without using cgroups.
805
806
+%pre plugin-apps
807
+
808
+if ! getent group netdata > /dev/null; then
809
+ groupadd --system netdata
810
+fi
811
+
812
%files plugin-apps
813
%defattr(0750,root,netdata,0750)
814
# CAP_DAC_READ_SEARCH and CAP_SYS_PTRACE needed for data collection by the plugin.
@@ -775,6 +825,12 @@ Conflicts: netdata < %{version}
825
%description plugin-slabinfo
826
This plugin allows the Netdata Agent to collect perfromance and utilization metrics for the Linux kernel’s SLAB allocator.
827
828
+%pre plugin-slabinfo
829
+
830
+if ! getent group netdata > /dev/null; then
831
+ groupadd --system netdata
832
+fi
833
+
834
%files plugin-slabinfo
835
%defattr(0750,root,netdata,0750)
836
# CAP_DAC_READ_SEARCH needed to access the files the plugin reads to collect data.
@@ -789,6 +845,12 @@ Conflicts: netdata < %{version}
845
%description plugin-perf
846
This plugin allows the Netdata to collect metrics from the Linux perf subsystem.
847
848
+%pre plugin-perf
849
+
850
+if ! getent group netdata > /dev/null; then
851
+ groupadd --system netdata
852
+fi
853
+
854
%files plugin-perf
855
%defattr(0750,root,netdata,0750)
856
# Either CAP_SYS_ADMIN or CAP_PERFMON needed for data collection
@@ -808,6 +870,12 @@ Conflicts: netdata < %{version}
870
%description plugin-debugfs
871
This plugin allows the Netdata Agent to collect Linux kernel metrics exposed through debugfs.
872
873
+%pre plugin-debugfs
874
+
875
+if ! getent group netdata > /dev/null; then
876
+ groupadd --system netdata
877
+fi
878
+
879
%files plugin-debugfs
880
%defattr(0750,root,netdata,0750)
881
# CAP_DAC_READ_SEARCH required for data collection.
packaging/installer/kickstart.sh
+4
-4
@@ -26,7 +26,7 @@ KICKSTART_SOURCE="$(
26
echo "$(pwd -P)/${self##*/}"
27
)"
28
PACKAGES_SCRIPT="https://raw.githubusercontent.com/netdata/netdata/master/packaging/installer/install-required-packages.sh"
29
-DEFAULT_PLUGIN_PACKAGES="netdata-plugin-go netdata-plugin-python netdata-plugin-apps netdata-plugin-ebpf"
29
+DEFAULT_PLUGIN_PACKAGES=""
30
PATH="${PATH}:/usr/local/bin:/usr/local/sbin"
31
PUBLIC_CLOUD_URL="https://app.netdata.cloud"
32
REPOCONFIG_DEB_URL_PREFIX="https://repo.netdata.cloud/repos/repoconfig"
@@ -1399,9 +1399,9 @@ try_package_install() {
1399
common_rpm_opts
1400
common_dnf_opts
1401
repo_prefix="el/${SYSVERSION}"
1402
- if [ "${SYSVERSION}" -lt 8 ]; then
1403
- explicitly_install_native_plugins=1
1404
- fi
1402
+ # if [ "${SYSVERSION}" -lt 8 ]; then
1403
+ # explicitly_install_native_plugins=1
1404
+ # fi
1405
;;
1406
fedora|ol)
1407
common_rpm_opts